<?php

    // 配置数据. 根据您的实际需求和组网情况进行修改.
    $mssAddr = "192.168.1.100";
    $mssCallbackPort = 5080;

    $localHost = "192.168.1.100";
    $localUDPPort = 4000;

    $user1 = "100"; 
    $user2 = "101";

    // 采用随机值作为会话ID. 这种方式不太好.
    $sessionID = rand();    

    // 构建回呼命令 
    $commandStr = "REQUEST: id=".$sessionID.";";
    $commandStr .= "user1=".$user1 .";";
    $commandStr .= "user2=".$user2 .";";
    $commandStr .= "duration=3600;";

    $udpSock = socket_create(AF_INET,SOCK_DGRAM,SOL_UDP);
    if(!$udpSock)
    {
        error_log("cannot create command socket");
        return;
    }

    socket_bind($udpSock, $localHost, $localUDPPort);
    
    $len = strlen($commandStr);
        
    socket_sendto($udpSock, $commandStr, $len, 0, $mssAddr, $mssCallbackPort);
    
    socket_close($udpSock);

?>